低危 ntp up to 4.2.8p11 ntpd ctl_getitem Packet 拒绝服务漏洞

CVE编号

CVE-2018-7182

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-03-07
漏洞描述
NTP(Network Time Protocol,网络时间协议)是一种以数据包交换把两台电脑的时钟同步化的网络协议。ntpd是其中的一个操作系统守护进程。 NTP 4.2.8p6版本至4.2.8p10版本中的ntpd的ctl_getitem方法存在信息泄露漏洞。远程攻击者可借助带有ntpd实例的特制数据包利用该漏洞造成拒绝服务(越边界读取)。

解决建议
厂商已发布漏洞修复程序,请及时关注更新:
http://www.ntp.org/downloads.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 netapp element_software - -
运行在以下环境
应用 ntp ntp 4.2.8 -
运行在以下环境
系统 amazon_AMI ntp * Up to
(excluding)
4.2.8p11-1.37.amzn1
运行在以下环境
系统 debian_9 ntp * Up to
(including)
4.2.8p10+dfsg-3+deb9u2
运行在以下环境
系统 fedora_26 ntp * Up to
(excluding)
4.2.8p11-1.fc26
运行在以下环境
系统 fedora_27 ntp * Up to
(excluding)
4.2.8p11-1.fc27
运行在以下环境
系统 opensuse_Leap_42.3 ntp * Up to
(excluding)
4.2.8p11-31.3.1
运行在以下环境
系统 suse_11_SP4 ntp * Up to
(excluding)
4.2.8p11-64.4.1
运行在以下环境
系统 suse_12 ntp * Up to
(excluding)
4.2.8p11-46.26
运行在以下环境
系统 suse_12_SP3 ntp * Up to
(excluding)
4.2.8p11-64.5.1
运行在以下环境
系统 ubuntu_14.04.6_lts ntp * Up to
(excluding)
1:4.2.6.p5+dfsg-3ubuntu2.14.04.12
运行在以下环境
系统 ubuntu_16.04.7_lts ntp * Up to
(excluding)
1:4.2.8p4+dfsg-3ubuntu5.8
运行在以下环境
系统 ubuntu_18.04 ntp * Up to
(excluding)
1:4.2.8p10+dfsg-5ubuntu7.1
运行在以下环境
系统 ubuntu_18.04.5_lts ntp * Up to
(excluding)
1:4.2.8p10+dfsg-5ubuntu7.1
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-125 跨界内存读
阿里云安全产品覆盖情况